Get an encounter by ID
get
/Encounter/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual encounter by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Encounter
Type:
objectThe FHIR R4 Encounter resource.
Show Source
-
appointment: array
appointment
-
class(required): object
Coding
-
extension: array
extension
-
hospitalization: object
HospitalizationForEncounter
-
id(required): string
-
identifier: array
identifier
-
location: array
location
-
meta: object
meta
-
participant: array
participant
-
period: object
PeriodForEncounter
-
priority: object
Coding
-
reasonCode: array
reasonCode
-
resourceType(required): string
Allowed Values:
[ "Encounter" ] -
serviceProvider: object
ReferenceForEncounter
-
serviceType: object
CodeableConcept
-
status(required): string
-
subject(required): object
ReferenceForEncounter
-
text: object
Narrative
-
type: array
type
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source